| Home | Libraries | People | FAQ | More

##### basic_raw_socket::basic_raw_socket (2 of 4 overloads)

Construct and open a `basic_raw_socket`.

    basic_raw_socket(
        boost::asio::io_service & io_service,
        const protocol_type & protocol);

This constructor creates and opens a raw socket.

###### Parameters

io_service

  The `io_service` object that the raw socket will use to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

###### Exceptions

boost::system::system_error

  Thrown on failure.